Translations
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{person_id}/translations?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/person/{person_id}/translations?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{person_id}/translations?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 98215,
"translations": [
{
"data": {
"biography": "Matthew Gerald is an American actor and screenwriter. Gerald was born in Miami, Florida. A graduate of The University of Pennsylvania, he is best known for his roles as Melvin Potter on Netflix's Daredevil, Corporal Lyle Wainfleet in James Cameron's sci-fi Avatar, and elusive predator Ray Speltzer on Showtime's Dexter. Wikipedia",
"name": "Matt Gerald",
"primary": true
},
"english_name": "English",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English"
},
{
"data": {
"biography": "",
"name": "",
"primary": false
},
"english_name": "German",
"iso_3166_1": "DE",
"iso_639_1": "de",
"name": "Deutsch"
},
{
"data": {
"biography": "",
"name": "Мэтт Джералд",
"primary": false
},
"english_name": "Russian",
"iso_3166_1": "RU",
"iso_639_1": "ru",
"name": "Pусский"
},
{
"data": {
"biography": "马修·杰拉德(Matthew Gerald)是美国演员和编剧。",
"name": "马修·杰拉德",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "CN",
"iso_639_1": "zh",
"name": "普通话"
}
]
}People
Translations
This endpoint is used to get the translations that belong to a person.
GET
/
3
/
person
/
{person_id}
/
translations
Translations
Authorizations
Path Parameters
integer
Example:
"98215"
Response
200 - application/json
OK
Example:
98215
Show child attributes
Show child attributes
Example:
[
{
"data": {
"biography": "Matthew Gerald is an American actor and screenwriter. Gerald was born in Miami, Florida. A graduate of The University of Pennsylvania, he is best known for his roles as Melvin Potter on Netflix's Daredevil, Corporal Lyle Wainfleet in James Cameron's sci-fi Avatar, and elusive predator Ray Speltzer on Showtime's Dexter. Wikipedia",
"name": "Matt Gerald",
"primary": true
},
"english_name": "English",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English"
},
{
"data": {
"biography": "",
"name": "",
"primary": false
},
"english_name": "German",
"iso_3166_1": "DE",
"iso_639_1": "de",
"name": "Deutsch"
},
{
"data": {
"biography": "",
"name": "Мэтт Джералд",
"primary": false
},
"english_name": "Russian",
"iso_3166_1": "RU",
"iso_639_1": "ru",
"name": "Pусский"
},
{
"data": {
"biography": "马修·杰拉德(Matthew Gerald)是美国演员和编剧。",
"name": "马修·杰拉德",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "CN",
"iso_639_1": "zh",
"name": "普通话"
}
]
Was this page helpful?
⌘I